DROP TABLE IF EXISTS  temp_SDL_Stg_Bill_Details ;
CREATE TABLE  temp_SDL_Stg_Bill_Details  (
   Bill_Details_Key  varchar(128) NOT NULL DEFAULT '',
   Bill_Header_Key  varchar(128) NOT NULL DEFAULT '',
   Line_No  varchar(128) NOT NULL DEFAULT '',
   Product_Key  varchar(128) NOT NULL DEFAULT '',
   Broker_Key  varchar(128) DEFAULT NULL,
   Store_Key  varchar(128) NOT NULL DEFAULT '',
   Customer_Key  varchar(128) NOT NULL DEFAULT '',
   Bill_Date  date DEFAULT NULL,
   Bill_Time  time DEFAULT NULL,
   Sale_Qty  decimal(15,2) NOT NULL DEFAULT 0.00,
   Sale_Gross_Val  decimal(15,2) NOT NULL DEFAULT 0.00,
   Sale_Disc_Val  decimal(15,2) NOT NULL DEFAULT 0.00,
   Sale_Tax_Val  decimal(15,2) NOT NULL DEFAULT 0.00,
   Sale_Net_Val  decimal(15,2) NOT NULL DEFAULT 0.00,
   Mrp  decimal(15,2) NOT NULL DEFAULT 0.00,
   Created_Date  timestamp NOT NULL DEFAULT current_timestamp(),
   Modified_Date  timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
   Trans_Type  varchar(128) DEFAULT NULL,
   Trans_Sub_Type  varchar(128) DEFAULT NULL,
   Source_Program  varchar(128) DEFAULT NULL,
   Cat_Size  varchar(128) NOT NULL DEFAULT '',
   Txn_Status_Date  date DEFAULT NULL,
   Bust  varchar(128) NOT NULL DEFAULT '',
   Waist  varchar(128) NOT NULL DEFAULT '',
   Sleeve  varchar(128) NOT NULL DEFAULT '',
   Neck  varchar(128) NOT NULL DEFAULT '',
   Tuniclength  varchar(128) NOT NULL DEFAULT '',
   SizeOption  varchar(128) NOT NULL DEFAULT '',
   StyleOption  varchar(128) NOT NULL DEFAULT '',
   SizeType  varchar(128) NOT NULL DEFAULT '',
   Bill_No  varchar(128) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
